using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int x1 = int.Parse(s[0]);
            int y1 = int.Parse(s[1]);
            string[] p = Console.ReadLine().Split(' ');
            int x2 = int.Parse(p[0]);
            int y2 = int.Parse(p[1]);
            int br = 0;
            if (x1 == x2 || y1 == y2)
                br = 2;
            if (Math.Abs(x1 - x2) == Math.Abs(y1 - y2))
                br = 1;
            Console.WriteLine(br);
        }
    }
}